import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;
import javax.persistence.Query;

public class Main {
  static EntityManagerFactory emf = Persistence.createEntityManagerFactory("JPAService");

  static EntityManager em = emf.createEntityManager();

  public static void main(String[] a) throws Exception {
    em.getTransaction().begin();

    PartTimeEmployee emp = new PartTimeEmployee();
    emp.setId(1);
    emp.setName("Tom");
    emp.setStartDate(new java.util.Date());
    emp.setHourlyRate(12);
    em.persist(emp);
    
    FullTimeEmployee emp1 = new FullTimeEmployee();
    emp1.setId(2);
    emp1.setName("Tom");
    emp1.setStartDate(new java.util.Date());
    emp1.setSalary(123);
    emp1.setVacation(1);
    em.persist(emp1);


    em.getTransaction().commit();
    em.close();
    emf.close();

    Helper.checkData();
  }
}